Package org.lwjgl.opencl

# Class CLPrintfCallback

java.lang.Object
org.lwjgl.PointerWrapperAbstract
org.lwjgl.opencl.CLPrintfCallback

All Implemented Interfaces:
  `PointerWrapper`

public abstract class CLPrintfCallback extends PointerWrapperAbstract
Instances of this class can be used to receive OpenCL printf messages. Different CLContexts should use different CLPrintfCallback instances.

Author:
  Spasi

## Field Summary

### Fields inherited from class org.lwjgl.PointerWrapperAbstract

`pointer`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CLPrintfCallback()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`handleMessage(String data)`
The callback method.

### Methods inherited from class org.lwjgl.PointerWrapperAbstract

`checkValid, equals, getPointer, hashCode, isValid, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CLPrintfCallback

protected CLPrintfCallback()

## Method Details

### handleMessage

protected abstract void handleMessage(String data)
The callback method.